Gentoo Archives: gentoo-commits

From: Alexys Jacob <ultrabug@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/mongo-tools/
Date: Mon, 31 Jul 2017 14:38:34
Message-Id: 1501511896.672722933402bcb7fd290d97c0278be0c468169b.ultrabug@gentoo
commit:     672722933402bcb7fd290d97c0278be0c468169b
Author:     Ultrabug <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 14:35:38 2017 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 14:38:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67272293

dev-db/mongodb: 3.2 bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 app-admin/mongo-tools/Manifest                  |  1 +
 app-admin/mongo-tools/mongo-tools-3.2.16.ebuild | 58 +++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-admin/mongo-tools/Manifest b/app-admin/mongo-tools/Manifest
index 8106c5289d5..5eb95ef3094 100644
--- a/app-admin/mongo-tools/Manifest
+++ b/app-admin/mongo-tools/Manifest
@@ -3,6 +3,7 @@ DIST mongo-tools-3.0.15.tar.gz 2413131 SHA256 9e1a936b42eff999a83afc3885faee0c64
 DIST mongo-tools-3.2.12.tar.gz 2712079 SHA256 cda5e869b9233d591e91cac0b4c709a2e71dcabd9ac6bcc8b33d906ce3b13afd SHA512 66f7beb85a83ad6a217e65bba97ace6ad0bf84688f40e598e5fb1cf4bbe481b4069e1247d6829f8d06c8230d33c3e0c8bd8465a975576cad584065c361b6fb72 WHIRLPOOL 46123dc3c97fdf20ff94ac373e774932bd30aca677047fe3366653aaab269bf6d7e59cb420cf1e5716558fa959cb3649ee359cc27932bac276e6d24d2eea43b1
 DIST mongo-tools-3.2.13.tar.gz 2712076 SHA256 a855eb0141445e34ff3b01807b016467519c390fce79f3566000b5aaecb65d72 SHA512 caa0ba0f1452a16921c187cb407258326324b7222af91b1cd1b870ee2c9e6909d4fa94087a6da148a807f75b40f0bb97808a85804134d53cdab7970d8adf59f8 WHIRLPOOL e2fb38cc8a35ab7c9461f680a2bf0647b5cb5d1225978b7321e6c4227b02ae3cae93e5f2a105f188f3329b0f0f8741e9a0c5439f37196ca875b049d3a91836d3
 DIST mongo-tools-3.2.15.tar.gz 2712102 SHA256 d2f69303037810b9f1785aece94e62cff71e20a07edacf4d477a40b4b9b7a390 SHA512 76a77564825eae547f85ead374050f3b9a29c3cd775bc86a452ba42ee843dbc800805340232094167e288a59d9592db3fe8aeba83ccbaae41196674781476220 WHIRLPOOL 66a2bac4edf113017826b55958c970e4abb946aeb3449f330eb157e3bb76fb8f5a2892e3f6323e0a27dc6f439015d7c02b303dc6a08c2d99680f65f8b4888e2a
+DIST mongo-tools-3.2.16.tar.gz 2720003 SHA256 1cd699f0e45b0b3afb0cfc7014258fb69e93c98e254ef9ef1605cd2de0b56d4c SHA512 61c8cfd04a36e329c3573b73945d20a5623e1aa0a3430b309530e85e4289a27a46a850ec48ede7f04e66e67e23745ef26f5f4ddcf68ffeb647128e3d2526a724 WHIRLPOOL 2d2855f578f15e9afd133f6b24b23bd5d6a20516c96f665581223ca1c9a472ead6634749db46b55a1351a8b63923531046ab83a262ec54f439ccf008cb854f9e
 DIST mongo-tools-3.4.3.tar.gz 4700637 SHA256 70348800ca4cc04a319ca414291d5359e7dc86c888bc8264045fbc4de00adab2 SHA512 ec754e8b19c517d9603e0eb89cc315e0af53886b74a905c0742faf5369af8b87b84cedf57aaa25f93068cd21370fa8a274a97dc3c58bbb4a50db6c2e4f0109d9 WHIRLPOOL 0b85fcdb52d5f08624bbcedb96d66c8a519e6415b9aefe68e7957627f3f1e220ca1174ea0a037f53ef2de0e594793ab42d6ec7db9cb42aa09b1892500dac5dd5
 DIST mongo-tools-3.4.4.tar.gz 4700326 SHA256 d14f4ce153aec373459c802e5a159661ccfde4e5df39d8d750586bae54896cdd SHA512 d49243e41bf3144264add3766a6f7016a07509a583a7368a639d85d2305500dd5afcfbc4449f3dcc8bec6e88bfb76ce021c813fe14169e3bd2476ed0db7c2d5d WHIRLPOOL 33cb527ce7df19e92871219aef9b38f16ae292a4d1cbdd7bb3a1c6ccc752687469b9e4309cc4fd540a65e623740e1ebe20f4bdf8629b50aab25d4ea84c2988cc
 DIST mongo-tools-3.4.6.tar.gz 4715189 SHA256 0b41ee2cb0a3d656f50ad950cc3853b41d5eb77a67ea0eb288f5ac80711ffc1d SHA512 ad1d3acee1969934e8f679d6407b3b55aba85fb99ea806463b7418494fac491ff68033f3e59b55e17276a4d28932c6b74398fffc89ab7c229cf69e5a4714c4a2 WHIRLPOOL 993be475af7b71a189f2b9f7c98e3f49d7ae8d05f99928b242efbd3dd504415394c7c812c4debed192ca0a856f16f9839dc771be8efb1db48b3359e48ea48280

diff --git a/app-admin/mongo-tools/mongo-tools-3.2.16.ebuild b/app-admin/mongo-tools/mongo-tools-3.2.16.ebuild
new file mode 100644
index 00000000000..1978809739a
--- /dev/null
+++ b/app-admin/mongo-tools/mongo-tools-3.2.16.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils
+
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-r${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
+HOMEPAGE="http://www.mongodb.org"
+SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sasl ssl"
+
+# Maintainer note:
+# openssl DEPEND constraint, see:
+# https://github.com/mongodb/mongo-tools/issues/11
+
+RDEPEND="!<dev-db/mongodb-3.0.0"
+DEPEND="${RDEPEND}
+	dev-lang/go:=
+	net-libs/libpcap
+	sasl? ( dev-libs/cyrus-sasl )
+	ssl? ( dev-libs/openssl )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	sed -e 's|go build .*|go build -o "bin/$i" -tags "$tags" "$i/main/$i.go"|g' -i build.sh || die
+
+	# ensure we use bash wrt #582906
+	sed -e 's@/bin/sh@/bin/bash@g' -i build.sh || die
+
+	epatch "${FILESDIR}/${PN}-3.2.10-pie.patch"
+}
+
+src_compile() {
+	local myconf
+
+	if use sasl; then
+	  myconf="${myconf} sasl"
+	fi
+
+	if use ssl; then
+	  myconf="${myconf} ssl"
+	fi
+
+	./build.sh ${myconf} || die "build failed"
+}
+
+src_install() {
+	dobin bin/*
+}